/**
 * DBFront - DBFrontEnd
 *
 * @author rogo
 */
import java.util.*;
public class DBFront
{
  static String url = "jdbc:odbc:rogo2";
  static DBBean bean = new DBBean();
  String query;

  public DBFront()
  {

  }

  public boolean query()
  {
    return query(query, url);
  }

  public boolean query(String query)
  {
    return query(query, url);

  }
  public boolean query(String query, String url)
  {

    this.query = query;
    this.url = url;
    try
    {
      if (query != "")
      {
        bean.setURL(url);
        bean.getConnection();
        bean.makeQuery(query, 0);

      } else
        throw new Exception("Empty Query");

    } catch (Exception e)
    {
      return false;
    }
    return true;
  }
  public Vector[] getQueryData()
  {
    Vector[] vecs = null;
    try
    {

      vecs = bean.getQueryData(query, 0);

    } catch (Exception e)
    {
      System.out.println("Error getting queryData " + e);
    }
    return vecs;
  }
  public Vector getNextRow()
  {
    Vector vec = null;
    try
    {
      vec = bean.getNextRow();
    } catch (Exception e)
    {
      System.out.println("Error getting next row " + e);
    }

    return vec;
  }
  public Vector getColumnNames()
  {

    return bean.getColumnNames();
  }

  public void setURL(String url)
  {
    this.url = url;

  }
  public void setQuery(String query)
  {
    this.query = query;

  }
  public void setUrlAndQuery(String url, String query)
  {
    this.url = url;
    this.query = query;

  }
  public void setUserAndPasswd(String user, String passwd)
  {
    bean.setUserAndPasswd(user, passwd);
  }
  public void setUser(String user)
  {
    bean.setUser(user);
  }
  public void setPasswd(String passwd)
  {
    bean.setPasswd(passwd);
  }
  public void setConnection(String url)
  {
    try
    {
      bean.setConnection(url);
    } catch (Exception e)
    {
      System.out.println(e);
    }
  }
public void setConnection(String url,String user,String passwd)
  {
    try
    {
      bean.setConnection(url,user,passwd);
    } catch (Exception e)
    {
      System.out.println(e);
    }
  }
}
